<?php
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Webinterface 1.0 Platinum
 * (C) by sLy-Media.eu & PHP Class by JLNNN 2010
 * Version: 1.0 Platinum
 * Lizens: GNU GPL
 * All rights reserved
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *   Copyright (C) 2010  sLy-Media
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
/*********** START CONF ************/
/**
 * Erffne neue Session
 *
 */
	session_start();
/**
 * Setzte Error Reporting auf ALLES & NOTIZEN
 *
 */
	error_reporting(E_ALL & ~E_NOTICE);
/**
 * setze SESSION Connected
 * default 0
 */
	if(empty($_SESSION["wi_Connected"])) {
		$_SESSION["wi_Connected"] = '0';
	}
/** 
 * define base dir
 */
	define('BASE_DIR', dirname(__FILE__));
/** 
 *	define lib dir
 */
	define('LIB', BASE_DIR.'/lib/');
/**
 * define func dir
 */
	define('FUNC', LIB.'func/');
/**
 *	define class dir
 */
	define('CLASS_DIR', LIB.'class/');
/**
 *	define db dir
 */
	define('DB_DIR', CLASS_DIR.'db/');
/**
 *	define system dir
 */
	define('SYS_DIR', LIB.'system/');
/** 
 * Lade BC2Conn.php
 * BC2 Server Class
 */
	require_once('BC2Conn.php');
/**
 * Lade Lang.class.php
 * Language Class
 */
	require_once(CLASS_DIR.'/lang.class.php');
	$lang = new Lang();
/**
 * Lade Core.class.php
 * Hauptfunktionen
 */
	require_once(CLASS_DIR.'/core.class.php');
	$core = new Wi();
	$core->Wi();
/**
 * array config
 */
	$config                = array();
	$config['db']          = $core->db.'.class.php';
	$config['version']     = $core->version;
/**
 * lade funktionen
 */
	require_once FUNC.'/install.func.php';
	require_once FUNC.'/main.func.php';
	require_once FUNC.'/sec.func.php';
	require_once FUNC.'/bc2.func.php';
/**
 * Lade main.func.php
 * Haupt Funktionen
 */
	require_once(LIB.'main.lib.php');
/**
 * Lade DB.class.php
 * Datenbank Class
 */
	require_once(DB_DIR.$config['db']);
/**
 * Lade DB.settings.php
 * Datenbank Settings
 */
	require_once(SYS_DIR.'/DB.settings.php');
/**
 * Definiere LANG
 * default DE
 */
	if(!empty($_SESSION["wi_Lang"])) {
		$speak = $_SESSION["wi_Lang"];
		$lang->speak = $speak;
	} 
	$lang->readModule('main');
/** 
 *	DEFINE VERSION
 */
	define('VERSION', $config['version']);
/**
 * berprfe ob Install.php noch vorhanden ist
 */ 
if(file_exists('install2.php')) { $core->systemError($error['install']); }
/**
 * Erstelle neue MySQL Klasse
 */
$db = new MySQL($host, $user, $pw, $db);
/*********** END CONF ************/
	if(empty($_SESSION["wi_userID"])) $core->systemError($error['acces']);
	if(!$core->user->isAdmin($_SESSION["wi_userID"])) $core->systemError($error['acces']);
	
	eval ("\$head = \"".getTPL("admin/head")."\";");
	echo $head;
	
	$action = getQuery('action');
	if(!empty($action)) {
		if(in_array($action, $security)) {
			systemError($error['invalid'], 1);
		}
	}
		
	if(empty($action)) {
		eval ("\$main = \"".getTPL("admin/main")."\";");
		echo $main;
	} elseif($action == 'user') {
		$mode = getQuery('mode');
		if($mode == 'add') {
			if(empty($_POST["submit_user"])) {
				eval ("\$u_add = \"".getTPL("admin/u_add")."\";");
				echo $u_add;
			} else {
				if(empty($_POST["user"]) || empty($_POST["pw"])) {
					$message = createFlash('Bitte gebe ein Usernamen und ein Password an');
					eval ("\$u_add = \"".getTPL("admin/u_add")."\";");
					echo $u_add;
				} else {
					$user = $_POST["user"];
					$pass = md5($_POST["pw"]);
					if(empty($_POST["af"])) {
						$af = '0';
					} else {
						$af = '1';
					}
					if(empty($_POST["kb"])) {
						$kb = '0';
					} else {
						$kb = '1';
					}
					if(empty($_POST["rs"])) {
						$rs = '0';
					} else {
						$rs = '1';
					}
					$sql = "INSERT INTO wi_user (Username, Passwort, RightFunc, UserKick, ReservedSlots) VALUES ('".$user."', '".$pass."', '".$af."', '".$kb."', '".$rs."')";
					if($db->query($sql)) {
						$message = createFlash('User wurde erstellt.', 'success');
						eval ("\$main = \"".getTPL("admin/main")."\";");
						echo $main;
						move('admin.php', 2);
					} else {
						systemError($error['mysql'].mysql_error(), 1);
					}	
				}
			}
		} elseif($mode == 'edit') {
			if(empty($_GET["id"])) {
				$user   = '';
				$aktion = '';
				$sql = $db->query("SELECT ID, Username FROM wi_user");
				if($anz = mysql_num_rows($sql)) {
					if($anz > 1) {
						while($ds = $db->firstRow($sql)) {
							$user   .= $ds["Username"].'<br />';
							$aktion .= '<a href="?action=user&mode=edit&id='.$ds["ID"].'">Bearbeiten</a><br />';
						}
					} else {
						$ds = $db->firstRow($sql);
						$user   = $ds["Username"].'<br />';
						$aktion = '<a href="?action=user&mode=edit&id='.$ds["ID"].'">Bearbeiten</a>';
					}
				} else {
					$user = 'Keine User vorhanden';
				}
				eval ("\$u_edit_a = \"".getTPL("admin/u_edit_a")."\";");
				echo $u_edit_a;
			} else {
				if(empty($_POST["submit_edit"])) {
					$id    = intval($_GET["id"]);
					$sql   = $db->query("SELECT * FROM wi_user WHERE ID = '".$id."'");
					$ds    = $db->firstRow($sql);
					$auser = $ds["Username"];
					if($ds["RightFunc"] == '1') {
						$check_1 = 'checked="true"';
					}
					if($ds["UserKick"] == '1') {
						$check_2 = 'checked="true"';
					}
					if($ds["ReservedSlots"] == '1') {
						$check_3 = 'checked="true"';
					}
					eval ("\$u_edit = \"".getTPL("admin/u_edit")."\";");
					echo $u_edit;
				} else {
					if(empty($_POST["user"])) {
						$id    = intval($_GET["id"]);
						$message = createFlash('Bitte gebe ein Usernamen an.');
						$sql   = $db->query("SELECT * FROM wi_user WHERE ID = '".$id."'");
						$ds    = $db->firstRow($sql);
						$auser = $ds["Username"];
						if($ds["RightFunc"] == '1') {
							$check_1 = 'checked="true"';
						}
						if($ds["UserKick"] == '1') {
							$check_2 = 'checked="true"';
						}
						if($ds["ReservedSlots"] == '1') {
							$check_3 = 'checked="true"';
						}
						eval ("\$u_edit = \"".getTPL("admin/u_edit")."\";");
						echo $u_edit;
					} else {
						if(empty($_POST["pw"])) {
							$id = intval($_GET["id"]);
							$user = $_POST["user"];
							if(empty($_POST["af"])) {
								$af = '0';
							} else {
								$af = '1';
							}
							if(empty($_POST["kb"])) {
								$kb = '0';
							} else {
								$kb = '1';
							}
							if(empty($_POST["rs"])) {
								$rs = '0';
							} else {
								$rs = '1';
							}
							$sql = "UPDATE wi_user set Username = '".$user."', RightFunc = '".$af."', UserKick = '".$kb."', ReservedSlots = '".$rs."' WHERE ID = '".$id."'";
							if($db->query($sql)) {
								$message = createFlash('User wurde bearbeitet.', 'success');
								eval ("\$main = \"".getTPL("admin/main")."\";");
								echo $main;
								move('admin.php', 2);
							} else {
								systemError($error['mysql'].mysql_error(), 1);
							}
						} else {
							$id = intval($_GET["id"]);
							$user = $_POST["user"];
							$pass = md5($_POST["pw"]);
							if(empty($_POST["af"])) {
								$af = '0';
							} else {
								$af = '1';
							}
							if(empty($_POST["kb"])) {
								$kb = '0';
							} else {
								$kb = '1';
							}
							if(empty($_POST["rs"])) {
								$rs = '0';
							} else {
								$rs = '1';
							}
							$sql = "UPDATE wi_user set Username = '".$user."', Passwort = '".$pass."', RightFunc = '".$af."', UserKick = '".$kb."', ReservedSlots = '".$rs."' WHERE ID = '".$id."'";
							if($db->query($sql)) {
								$message = createFlash('User wurde bearbeitet.', 'success');
								eval ("\$main = \"".getTPL("admin/main")."\";");
								echo $main;
								move('admin.php', 2);
							} else {
								systemError($error['mysql'].mysql_error(), 1);
							}
						}
					}
				}
			}
		} elseif($mode == 'del') {
			if(empty($_GET["id"])) {
				$user   = '';
				$aktion = '';
				$hash   = createHash('wi_admin_hash');
				$sql = $db->query("SELECT ID, Username FROM wi_user WHERE isAdmin = '0'");
				if($anz = mysql_num_rows($sql)) {
					if($anz > 1) {
						while($ds = $db->firstRow($sql)) {
							$user   .= $ds["Username"].'<br />';
							$aktion .= '<a href="?action=user&mode=del&id='.$ds["ID"].'&hash='.$hash.'" onclick="return confirm(\'Den User wirklich Lschen?\')">Lschen</a><br />';
						}
					} else {
						$ds = $db->firstRow($sql);
						$user   = $ds["Username"];
						$aktion .= '<a href="?action=user&mode=del&id='.$ds["ID"].'&hash='.$hash.'" onclick="return confirm(\'Den User wirklich Lschen?\')">Lschen</a>';
					}
				} else {
					$user = 'Keine User vorhanden';
				}
				eval ("\$u_del = \"".getTPL("admin/u_del")."\";");
				echo $u_del;
			} else {
				if(!empty($_GET["hash"])) {
					if($_GET["hash"] == $_SESSION["wi_admin_hash"]) {
						$id  = intval($_GET["id"]);
						$sql = "DELETE FROM wi_user WHERE ID = '".$id."'";
						if($db->query($sql)) {
							$message = createFlash('User wurde gelscht.', 'success');
							eval ("\$main = \"".getTPL("admin/main")."\";");
							echo $main;
							move('admin.php', 2);
						} else {
							systemError($error['mysql'].mysql_error(), 1);
						}	
					} else {
						move("admin.php", 0);
					}
				} else {
					move("admin.php", 0);
				}
			}
		}
	} else {
		eval ("\$main = \"".getTPL("admin/main")."\";");
		echo $main;
	}
	eval ("\$foot = \"".loadTPL("foot")."\";");
	echo $foot;
	
?>