<?php
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Webinterface 1.0 Platinum
 * (C) by sLy-Media.eu & PHP Class by JLNNN 2010
 * Version: 1.0 Platinum
 * Lizens: GNU GPL
 * All rights reserved
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *   Copyright (C) 2010  sLy-Media
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
	class Wi {
		/**
	     * @var version
		 *
		 */
		
		var $version = 'v1.02';
		
		/**
		 * @var version_code
		 *
		 */
		
		var $version_code = 22;
		
		/**
		 * @var db type
		 *
		 */
		
		var $db = 'MySQL';
		
		/**
		 * @var true querys
		 *
		 */
		
		var $querys = array(
			'func',
			'misc',
			'kb',
			'playerAll',
			'res',
			'add',
			'del',
			'logout',
			'lang',
			''
		);
		
		/**
		 * @array date formats
		 +
		 */
		
		var $dates = array(
			1 => 'd.m.Y',
			2 => 'd.m.y',
			3 => 'd-m-y',
			4 => 'd-m-Y',
			5 => 'm-d-y',
			6 => 'm-d-Y'
		);
		
		/**
		 * @array time formats
		 *
		 */
		
		var $times = array(
			1 => 'h:I',
			2 => 'H:i',
			3 => 'h:i'
		);
		
		/**
		 * @var copyright
		 *
		 */
		
		var $copy = "PCEtLSBXRUJJTlRFUkZBQ0UgMS4wYnkgc0x5LU1lZGlhLmV1IC0tPg==";
		
		var $user;
		var $stats;
		
		/**
		 * cunstructor
		 *
		 */
		
		function __construct() {
			include('user.class.php');
			$this->user = new User();
		}
		
		/**
		 *	Main function of class
		 *
		 */
		function Wi() {
			$protected = array('_GET', '_POST', 'GLOBALS', '_SERVER', '_COOKIES');
			foreach($protected as $var) {
				if(!empty($_REQUEST[$var]) || !empty($_FILES[$var])) {
					self::systemError('hacked');
				}
			}
		}
		/**
		 * Systemerror close page and display an error
		 * @var error message
		 */
		function systemError($emes) {
			$message = $emes;
			$style   = style($message, 'error');
			return die($style);
		}
		/**
		 * Unset globals from a array
		 * @var array
		 */
		function unset_globals($array) {
			if(!is_array($array)) {
				return;
			}
			foreach(array_keys($array) as $key) {
				unset($GLOBALS[$key]);
				unset($GLOBALS[$key]);	
			}
		}
		/**
		 * function check query
		 * @var query
		 */
		function checkQuery($query) {
			if(!in_array($query, $this->querys)) {
				self::systemError('invalid request');
			}
		}
		/**
		 * function getVersion
		 * from the official server
		 */
		function getVersion() {
			if(function_exists("simplexml_load_file")) {
				if($file = simplexml_load_file("http://german-ranking-clan.de/downloads/iface/update.xml")) {
					return $file->version;
				} else {
					return self::systemError('xml error');
				}
			} elseif(function_exists("file_get_contents")) {
				$file = file_get_contents();
			} else {
				self::systemError("The function simplexml_load_file not found, please contact the webmaster");
			}
		}
		/**
		 * debug style
		 * @var version
		 * @var oversion
		 */
		function debug($version, $oversion) {
			die(style('<ul><li>Version: '.$version.'</li><li>Akutelle Version: '.$oversion.'</li><li>PHP Version: '.phpversion().'</li><li>MySQL Version: '.mysql_get_server_info().'</li></ul>', 'debug'));
		}
	}
?>