<?php
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Webinterface 1.0 Platinum
 * (C) by sLy-Media.eu & PHP Class by JLNNN 2010
 * Version: 1.0 Platinum
 * Lizens: GNU GPL
 * All rights reserved
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *   Copyright (C) 2010  sLy-Media
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
/*********** START CONF ************/
/**
 * Erffne neue Session
 *
 */
	session_start();
/**
 * Setzte Error Reporting auf ALLES & NOTIZEN
 *
 */
	error_reporting(E_ALL & ~E_NOTICE);
/**
 * setze SESSION Connected
 * default 0
 */
	if(empty($_SESSION["wi_Connected"])) {
		$_SESSION["wi_Connected"] = '0';
	}
/**
 * berprfe die PHP Version
 */
	if(PHP_VERSION < '5') {
		die('Deine PHP Version ist leider zu alt!<br />Du brauchst mindestens die Version 5.');
	}
/** 
 * define base dir
 */
	define('BASE_DIR', '');
/** 
 *	define lib dir
 */
	define('LIB', BASE_DIR.'lib/');
/**
 * define func dir
 */
	define('FUNC', LIB.'func/');
/**
 *	define class dir
 */
	define('CLASS_DIR', LIB.'class/');
/**
 *	define db dir
 */
	define('DB_DIR', CLASS_DIR.'db/');
/**
 *	define system dir
 */
	define('SYS_DIR', LIB.'system/');
/** 
 * Lade BC2Conn.php
 * BC2 Server Class
 */
	require_once 'BC2Conn.php';
/**
 * Lade Lang.class.php
 * Language Class
 */
	require_once CLASS_DIR.'lang.class.php';
	$lang = new Lang();
/**
 * Lade Core.class.php
 * Hauptfunktionen
 */
	require_once CLASS_DIR.'core.class.php';
	$core = new Wi();
	$core->Wi();
/**
 * array config
 */
	$config['db']          = $core->db.'.class.php';
	$config['version']     = $core->version;
	$config['o_version']   = $core->getVersion();
	$config['date_format'] = $core->dates[1];
	$config['time_format'] = $core->times[2];
	$config['date_full']   = $config['date_format'].' - '.$config['time_format'];
	$config['date']        = date($config['date_full'], time());
	$config['copyright']   = base64_decode($core->copy);
/**
 * Lade main.func.php
 * Haupt Funktionen
 */
	require_once LIB.'main.lib.php';
/**
 * Lade DB.class.php
 * Datenbank Class
 */
	require_once DB_DIR.$config['db'];
/**
 * Lade DB.settings.php
 * Datenbank Settings
 */
	require_once SYS_DIR.'/DB.settings.php';
/**
 * lade funktionen
 */
	require_once FUNC.'/install.func.php';
	require_once FUNC.'/main.func.php';
	require_once FUNC.'/sec.func.php';
	require_once FUNC.'/bc2.func.php';
/**
 * Definiere LANG
 * default DE
 */
	if(!empty($_SESSION["wi_Lang"])) {
		$speak = $_SESSION["wi_Lang"];
		$lang->speak = $speak;
	} 
	$lang->readModule('main');
/**
 * berprfe ob Install.php noch vorhanden ist
 */ 
	if(checkFile('install.php')) { $core->systemError($error['install']); }
/**
 * Erstelle neue MySQL Klasse
 */
	$db = new MySQL($host, $user, $pw, $db);
/**
 *	debug mode
 */
	if(empty($_GET['debug'])) {
		define('DEBUG', 'OFF');
	} elseif(!empty($_GET['debug']) || $_GET['debug'] == 'on') {
		define('DEBUG', 'ON');
	}
	if(DEBUG == 'ON') {
		$core->debug($config['version'], $config['o_version']);
	}
/*********** END CONF ************/
	if(empty($_SESSION["wi_Login"]) || empty($_SESSION["wi_IP"]) || empty($_SESSION["wi_QP"]) || empty($_SESSION["wi_RPW"]) || empty($_SESSION["wi_user"])) {
		$navi = $navi_out_5;
		if($_GET["action"] == 'lang') {
			if(!empty($_GET["get"])) {
				$speak = $_GET["get"];
				$_SESSION["wi_Lang"] = $speak;
				header("Location: index.php");
			}
		}
		if(empty($_SESSION["wi_user"])) {
			$user = 'not logged in';
		} else {
			$user = $_SESSION["wi_user"];
		}
		$serverip   = 'not logged in';
		$version    = $config['version'];
		$newVersion = $config['o_version'];
		$date       = $config['date'];
		$newV       = '<span style="color: lightgreen; font-weight: bold">'.$newVersion.'</span>';
		if($version < $newVersion) {
			$version = '<span style="color: red; font-weight: bold">'.$version.'</span>';
		} else {
			$version = '<span style="color: lightgreen; font-weight: bold;">'.$version.'</span>';
		}
		
		$sql = $db->query("SELECT ID, userID FROM wi_book WHERE userID = '".$_SESSION["wi_userID"]."'");
		if($db->num($sql)) {
			$server = '';
			while($ds = $db->firstRow($sql)) {
				if($ds["userID"] == $_SESSION["wi_userID"]) {
					$server .= createLink('?login=book&serverID='.$ds["ID"], 'Server #'.$ds["ID"], 'login_B', 'Server #'.$ds["ID"], '<br />'); 
				}
			}
		} else {
				$server = 'Keine Bookmarks';
		}
		if(empty($_POST["submit_Login"])) {
			if(empty($_SESSION["wi_user"])) {
				if(empty($_POST["submit_User"])) {
					eval ("\$head = \"".loadTPL("head")."\";");
					echo $head;
					if($_SESSION["wi_Connected"] >= '5') {
						eval ("\$login = \"".getTPL("login_us")."\";");
						echo $login;
					} else {
						eval ("\$login = \"".getTPL("login_u")."\";");
						echo $login;
					}
				} else {
					if(empty($_POST["user"]) || empty($_POST["pwd"])) {
						eval ("\$head = \"".loadTPL("head")."\";");
						echo $head;
						$message = createFlash('Bitte gebe deine Login Daten ein');
						$_SESSION["wi_Connected"] += 1;
						if($_SESSION["wi_Connected"] >= '5') {
							eval ("\$login = \"".getTPL("login_us")."\";");
							echo $login;
						} else {
							eval ("\$login = \"".getTPL("login_u")."\";");
							echo $login;
						}
					} else {
						if($_SESSION["wi_Connected"] >= '5') {
							$captcha = $_POST["captcha"];
							$captcha = md5($captcha);
							if($captcha == $_SESSION["wi_sec_code"]) {
								$user = $_POST["user"];
								$pwd  = md5($_POST["pwd"]);
								$sql = $db->query("SELECT ID FROM wi_user WHERE Username = '".$user."' AND Passwort = '".$pwd."'");
								if($db->num($sql)) {
									$_SESSION["wi_user"]   = $user;
									$user_sql              = $db->firstRow($sql);
									$_SESSION["wi_userID"] = $user_sql["ID"];
									header("Location: index.php");
								} else {
									eval ("\$head = \"".loadTPL("head")."\";");
									echo $head;
									$message = createFlash('Falsche Login Daten');
									$_SESSION["wi_Connected"] += 1;
									if($_SESSION["wi_Connected"] >= '5') {
										eval ("\$login = \"".getTPL("login_us")."\";");
										echo $login;
									} else {
										eval ("\$login = \"".getTPL("login_u")."\";");
										echo $login;
									}
								}
							} else {
								eval ("\$head = \"".loadTPL("head")."\";");
								echo $head;
								$message = createFlash('Das Captcha wurde falsch eingeben!');
								$_SESSION["wi_Connected"] += 1;
								eval ("\$login = \"".getTPL("login_us")."\";");
								echo $login;
							}
						} else {
							$user = $_POST["user"];
							$pwd  = md5($_POST["pwd"]);
							$sql = $db->query("SELECT ID FROM wi_user WHERE Username = '".$user."' AND Passwort = '".$pwd."'");
							if($db->num($sql)) {
								$data                  = $db->firstRow($sql);
								$_SESSION["wi_user"]   = $user;
								$_SESSION["wi_userID"] = $data["ID"];
								header("Location: index.php");
							} else {
								eval ("\$head = \"".loadTPL("head")."\";");
								echo $head;
								$message = createFlash('Falsche Login Daten');
								$_SESSION["wi_Connected"] += 1;
								if($_SESSION["wi_Connected"] >= '5') {
									eval ("\$login = \"".getTPL("login_us")."\";");
									echo $login;
								} else {
									eval ("\$login = \"".getTPL("login_u")."\";");
									echo $login;
								}
							}
						}
					}
				}
			}
			if(!empty($_SESSION["wi_user"])) {
				if(!empty($_GET["logout"]) && $_GET["logout"] == 'true') {
					session_destroy();
					header("Location: index.php");
				}
				if(empty($_GET["login"])) {
					eval ("\$head = \"".loadTPL("head")."\";");
					echo $head;
					if($_SESSION["wi_Connected"] >= '5') {
						eval ("\$login = \"".getTPL("login_s")."\";");
						echo $login;
					} else {
						eval ("\$login = \"".getTPL("login")."\";");
						echo $login;
					}
				} elseif($_GET["login"] == 'book') {
					eval ("\$head = \"".loadTPL("head")."\";");
					echo $head;
					if(!empty($_GET["serverID"])) {
						$id   = intval($_GET["serverID"]);
						$dsql = $db->query("SELECT SIP, SQP FROM wi_book WHERE ID = '".$id."'");
						$dm   = $db->firstRow($dsql);
						$ip   = $dm["SIP"];
						$qp   = $dm["SQP"];
						if($_SESSION["wi_Connected"] >= '5') {
							eval ("\$login = \"".getTPL("login_s")."\";");
							echo $login;
						} else {
							eval ("\$login = \"".getTPL("login")."\";");
							echo $login;
						}
					}
				}
			}
		} else {
			if(empty($_POST["ip"]) || empty($_POST["qport"]) || empty($_POST["rpw"])) {
				eval ("\$head = \"".loadTPL("head")."\";");
				echo $head;
				$message = createFlash('Bitte gebe die Login Daten ein!');
				$_SESSION["wi_Connected"] += 1;
				if($_SESSION["wi_Connected"] >= '5') {
					eval ("\$login = \"".getTPL("login_s")."\";");
					echo $login;
				} else {
					eval ("\$login = \"".getTPL("login")."\";");
					echo $login;
				}
			} else {
				if($_SESSION["wi_Connected"] >= '5') {
					$captcha = $_POST["captcha"];
					$captcha = md5($captcha);
					if($captcha == $_SESSION["wi_sec_code"]) {
						$ip = $_POST["ip"];
						$qp = $_POST["qport"];
						$rpw = $_POST["rpw"];
						$bfCheck = new BC2Conn($ip, $qp);
						if(!$bfCheck->isConnected()) {
							eval ("\$head = \"".loadTPL("head")."\";");
							echo $head;
							$message = createFlash('Die Verbindung konnte nicht hergestellt werden!');
							$_SESSION["wi_Connected"] += 1;
							if($_SESSION["wi_Connected"] >= '5') {
								eval ("\$login = \"".getTPL("login_s")."\";");
								echo $login;
							} else {
								eval ("\$login = \"".getTPL("login")."\";");
								echo $login;
							}
						} else {
							$_SESSION["wi_IP"]    = $ip;
							$_SESSION["wi_QP"]    = $qp;
							$_SESSION["wi_RPW"]   = $rpw;
							$_SESSION["wi_Login"] = 1;
							header("Location: index.php");
						}
					} else {
						eval ("\$head = \"".loadTPL("head")."\";");
						echo $head;
						$message = createFlash('Das Captcha wurde falsch eingeben!');
						$_SESSION["wi_Connected"] += 1;
						eval ("\$login = \"".getTPL("login_s")."\";");
						echo $login;
					}
				} else {
					$ip = $_POST["ip"];
					$qp = $_POST["qport"];
					$rpw = $_POST["rpw"];
					$bfCheck = new BC2Conn($ip, $qp);
					if(!$bfCheck->isConnected()) {
						eval ("\$head = \"".loadTPL("head")."\";");
						echo $head;
						$message = createFlash('Die Verbindung konnte nicht hergestellt werden!');
						eval ("\$login = \"".getTPL("login")."\";");
						echo $login;
					} else {
						$_SESSION["wi_IP"]    = $ip;
						$_SESSION["wi_QP"]    = $qp;
						$_SESSION["wi_RPW"]   = $rpw;
						$_SESSION["wi_Login"] = 1;
						header("Location: index.php");
					}
				}
			}
		}
	} else {
		unset($_SESSION["wi_Connected"]);
		global $ip, $qp, $rpw, $user, $verion, $userID, $newV, $serverip, $date, $logout;
		$ip         = $_SESSION["wi_IP"];
		$qp         = $_SESSION["wi_QP"];
		$rpw        = $_SESSION["wi_RPW"];
		$user       = $_SESSION["wi_user"]; 
		$useriD     = $_SESSION["wi_userID"];
		$version    = $config['version'];
		$newVersion = $config['o_version'];
		$newV       = '<span style="color: lightgreen; font-weight: bold">'.$newVersion.'</span>';
		$serverip   = $_SESSION["wi_IP"].':'.$_SESSION["wi_QP"];
		$date       = $config['date'];
		$logout     = $logout_html;
		if($version < $newVersion) {
			$version = '<span style="color: red; font-weight: bold">'.$version.'</span>';
		} else {
			$version = '<span style="color: lightgreen; font-weight: bold;">'.$version.'</span>';
		}
		$action = getQuery("action");
		$core->checkQuery($action);
		if(!empty($action)) {
			if(in_array($action, $security)) {
				$core->systemError($error['invalid']);
			}
		}
		if($core->user->checkRights($useriD, 'RightFunc')) {
			$htmlFunc = createLink('?action=func', $lang->module['func'], 'main', $lang->module['func'], '<br /><br />');
		}
		if($core->user->checkRights($useriD, 'UserKick')) {
			$htmlKick = createLink('?action=kb', 'User Kicken / Bannen', 'kick', 'User Kicken / Bannen', '<br /><br />');
		}
		if($core->user->checkRights($useriD, 'ReservedSlots')) {
			$htmlRes = createLink('?action=res', $lang->module['resv'], 'group', $lang->module['resv']);
		}
		if($core->user->checkRights($useriD, 'RightFunc') && !$core->user->checkRights($useriD, 'UserKick')) {
			$navi = $navi_out_3;
		} elseif(!$core->user->checkRights($useriD, 'RightFunc') && $core->user->checkRights($useriD, 'UserKick')) {
			$navi = $navi_out_2;
		} elseif($core->user->checkRights($useriD, 'RightFunc') && $core->user->checkRights($useriD, 'UserKick')) {
			$navi = $navi_out_1;
		} elseif(!$core->user->checkRights($useriD, 'RightFunc') && !$core->user->checkRights($useriD, 'UserKick')) {
			$navi = $navi_out_4;
		}
		if(empty($action)) {
			eval ("\$head = \"".loadTPL("head")."\";");
			echo $head;
			$sql = $db->query("SELECT ID FROM wi_book WHERE SIP = '".$ip."' AND userID = '".$_SESSION["wi_userID"]."'");
			if($db->num($sql)) {
				$s_hash = createHash('wi_s_d');
				$serverm = createLink('?action=del&hash='.$s_hash, $lang->module['serv_d'], 'add', 'Server Entfernen');
			} else {
				$s_hash = createHash('wi_s_a');
				$serverm = createLink('?action=add&hash='.$s_hash, $lang->module['serv_a'], 'add', 'Server Hinzufgen');
			}
			eval ("\$main = \"".getTPL("main")."\";");
			echo $main;
		} elseif($action == 'misc') {
			eval ("\$head = \"".loadTPL("head")."\";");
			echo $head;
			$bc2 = new BC2Conn($ip, $qp);
			$bc2->loginSecure($_SESSION["wi_RPW"]);
			$sip       = $bc2->getServerIp().':'.$qp;
			$sname     = $bc2->getServerName();
			$anzPlayer = $bc2->getCurrentPlayers();
			$players   = $anzPlayer.' / '.$bc2->getMaxPlayers();
			$data      = $bc2->getServerInfo();
			$round1    = $data[6];
			$round2    = $data[7];
			$srund     = $round1.' / '.$round2;
			$serverV   = $bc2->getVersion(); 
			$servers   = $serverV[2];
			unset($data);
			unset($serverV);
			if($anzPlayer < 1) {
				$splayer = $anzPlayer.' / '.$bc2->getMaxPlayers();
			} else {
				$splayer = createLink('?action=playerAll', $players);
			}
			$smode = $bc2->getCurrentPlaymodeName();
			$smap  = $bc2->getCurrentMapName();
			$img   = $bc2->getCurrentMapNameOut().'.jpg';
			$mimg  = createImage('style/images/maps/', $img, 'width="120px" height="70px"');
			eval ("\$misc = \"".getTPL("misc")."\";");
			echo $misc;
			$bc2->logout();
		} elseif($action == 'func') {
			if(!$core->user->checkRights($useriD, 'RightFunc')) {
				$core->systemError($error['acces']);
			}
			eval ("\$head = \"".loadTPL("head")."\";");
			echo $head;
			$message = '';
			$bc2F = new BC2Conn($ip, $qp);
			$bc2F->loginSecure($_SESSION["wi_RPW"]);
			if(!empty($_GET["set"])) {
				$set = $_GET["set"];
				if($set == "nextlevel") {
					$bc2N = new BC2Conn($ip, $qp);
					$bc2N->loginSecure($_SESSION["wi_RPW"]);
					$bc2N->adminRunNextLevel();
					$message = createFlash('Nhste Map wurde geladen..', 'success');
					move("index.php?action=func");
					$bc2N->logout();
				} elseif($set == "restartmap") {
					$bc2R = new BC2Conn($_SESSION["wi_IP"], $_SESSION["wi_QP"]);
					$bc2R->loginSecure($_SESSION["wi_RPW"]);
					$bc2R->adminRestartMap();
					$message = createFlash('Map wurde neu gestartet', 'success');
					move("?action=func");
					$bc2R->logout();
				} elseif($set == "ff") {
					if(!empty($_GET["mode"])) {
						$mode = $_GET["mode"];
						if($mode == 'on') {
							setVar('ff', true);
							$now = 'Eingeschaltet';
						} elseif($mode == 'off') {
							setVar('ff', false);
							$now = 'Abgeschaltet';
						}
						$message = createFlash('Friendly Fire wurde '.$now.'..', 'success');
						move("?action=func");
					}
				} elseif($set == "kf") {
					if(!empty($_GET["mode"])) {
						$mode = $_GET["mode"];
						if($mode == 'on') {
							setVar('kf', true);
							$now = 'Eingeschaltet';
						} elseif($mode == 'off') {
							setVar('kf', false);
							$now = 'Abgeschaltet';
						}
						$message = createFlash('Die Kill Cam wurde '.$now.'..', 'success');
						move("?action=func");
					}
				} elseif($set == "tb") {
					if(!empty($_GET["mode"])) {
						$mode = $_GET["mode"];
						if($mode == 'on') {
							setVar('tb', true);
							$now = 'Eingeschaltet';
						} elseif($mode == 'off') {
							setVar('tb', false);
							$now = 'Abgeschaltet';
						}
						$message = createFlash('Team Balance wurde '.$now.'..', 'success');
						move("index.php?action=func");
					}
				} elseif($set == "hc") {
					if(!empty($_GET["mode"])) {
						$mode = $_GET["mode"];
						if($mode == 'on') {
							setVar('hc', true);
							$now = 'Eingeschaltet';
						} elseif($mode == 'off') {
							setVar('hc', false);
							$now = 'Abgeschaltet';
						}
						$message = createFlash('Hardcore wurde '.$now.'..', 'success');
						move("index.php?action=func");
					}
				} elseif($set == 'mm') {
					if(!empty($_GET["mode"])) {
						$mode = $_GET["mode"];
						if($mode == 'on') {
							setVar('mm', true);
							$now = 'Eingeschaltet';
						} elseif($mode == 'off') {
							setVar('mm', false);
							$now = 'Abgeschaltet';
						}
						$message = createFlash('Mini Map Spotting wurde '.$now.'..', 'success');
						move("index.php?action=func");
					}
				} elseif($set == 'pv') {
					if(!empty($_GET["mode"])) {
						$mode = $_GET["mode"];
						if($mode == 'on') {
							setVar('pv', true);
							$now = 'Eingeschaltet';
						} elseif($mode == 'off') {
							setVar('pv', false);
							$now = 'Abgeschaltet';
						}
						$message = createFlash('3rd person vehicle wurde '.$now.'..', 'success');
						move("index.php?action=func");
					}
				} elseif($set == 'sp') {
					if(!empty($_GET["mode"])) {
						$mode = $_GET["mode"];
						if($mode == 'on') {
							setVar('sp', true);
							$now = 'Eingeschaltet';
						} elseif($mode == 'off') {
							setVar('sp', false);
							$now = 'Abgeschaltet';
						}
						$message = createFlash('3D Spotting wurde '.$now.'..', 'success');
						move("index.php?action=func");
					}
				}
			}
			/* GET FF, KC and TB */
			$ffP = getFF();
			$kfP = getKC();
			$tbB = getTB();
			$hcB = getHC();
			$mmB = getMM();
			$pvB = getPV();
			$s3B = get3D();
			//____________//
			$tF  = $ffP[1];
			$ff  = $ffP[2];
			$kL  = $kfP[1];
			$kf  = $kfP[2];
			$tB  = $tbB[1];
			$tbP = $tbB[2];
			$hC  = $hcB[1];
			$hcP = $hcB[2];
			$mmP = $mmB[1];
			$mS  = $mmB[2];
			$pvP = $pvB[1];
			$pv  = $pvB[2];
			$spV = $s3B[1];
			$sp  = $s3B[2];
			
			eval ("\$func = \"".getTPL("func")."\";");
			echo $func;
			
			$bc2F->logout();
		} elseif($action == 'playerAll') {
			if(empty($_GET["switch"])) {
				eval ("\$head = \"".loadTPL("head")."\";");
				echo $head;
				$bc2 = new BC2Conn($ip, $qp);
				$bc2->loginSecure($_SESSION["wi_RPW"]);
				$plist = $bc2->getPlayerlistNames();
				$clantag  = '';
				$name     = '';
				$kills    = '';
				$death    = '';
				$clantagt = '';
				$namet    = '';
				$killst   = '';
				$deatht   = '';
				$team     = '';
				if(!empty($plist)) {
					foreach ($plist as $key => $content) {
						$team = $bc2->getTeamName($bc2->getCurrentMap(), $bc2->getCurrentPlaymode(), $bc2->getPlayerTeamID($content));
						if($team == 'Attackers') {
							if ($bc2->getPlayerClantag($content) != "") {
								$clantag .= '['.$bc2->getPlayerClantag($content).']<br />';
							} else {
								$clantag .= '<br />';
							}
							$create = str_replace(' ', '_', $bc2->getPlayername($content));
							$name  .= '<a href="#?w=300" rel="player'.$create.'" class="poplight">'.$bc2->getPlayername($content).'</a><br />';
							$popup .= createPopup($create);
							$kills .= $bc2->getPlayerKills($content).'<br />';
							$death .= $bc2->getPlayerDeaths($content).'<br />';
						} elseif($team == 'U.S. Army') {
							if ($bc2->getPlayerClantag($content) != "") {
								$clantag .= '['.$bc2->getPlayerClantag($content).']<br />';
							} else {
								$clantag .= '<br />';
							}
							$create = str_replace(' ', '_', $bc2->getPlayername($content));
							$name  .= '<a href="#?w=300" rel="player'.$create.'" class="poplight">'.$bc2->getPlayername($content).'</a><br />';
							$popup .= createPopup($create);
							$kills .= $bc2->getPlayerKills($content).'<br />';
							$death .= $bc2->getPlayerDeaths($content).'<br />';
						} else {
							if ($bc2->getPlayerClantag($content) != "") {
								$clantagt .= '['.$bc2->getPlayerClantag($content).']<br />';
							} else {
								$clantagt .= '<br />';
							}
							$create  = str_replace(' ', '_', $bc2->getPlayername($content));
							$namet  .= '<a href="#?w=300" rel="player'.$create.'" class="poplight">'.$bc2->getPlayername($content).'</a><br />';
							$popup  .= createPopup($create);
							$killst .= $bc2->getPlayerKills($content).'<br />';
							$deatht .= $bc2->getPlayerDeaths($content).'<br />';
						}
					}
				} else {
					$clantag .= 'Keine Spieler';
					$name    .= ' vorhanden';
				}
				eval ("\$player = \"".getTPL("player")."\";");
				echo $player;
			} elseif(!empty($_GET["switch"])) {
				$player = $_GET["switch"];
				$bc2 = new BC2Conn($ip, $qp);
				$bc2->loginSecure($_SESSION["wi_RPW"]);
				if($bc2->adminMovePlayerSwitchTeam($player, true)) {
					eval ("\$head = \"".loadTPL("head")."\";");
					echo $head;
					$message = createFlash('Spieler wurde ins andere Team geswitcht..', 'success');
					eval ("\$player = \"".getTPL("player")."\";");
					echo $player;
				}
			}
		} elseif($action == 'kb') {
			if(!$core->user->checkRights($useriD, 'UserKick')) {
				$core->systemError($error['acces']);
			}
			if(!empty($_GET["kick"])) {
				$player = $_GET["kick"];
				$player = str_replace('_', ' ', $player);
				$bc2 = new BC2Conn($ip, $qp);
				$bc2->loginSecure($_SESSION["wi_RPW"]);
				$bc2->adminKickPlayer($player);
				header("Location: index.php?action=playerAll");
			} elseif(!empty($_GET["bann"])) {
				$player = $_GET["bann"];
				$player = str_replace('_', ' ', $player);
				$bc2 = new BC2Conn($ip, $qp);
				$bc2->loginSecure($_SESSION["wi_RPW"]);
				$bc2->adminBanAddPlayername($player);
				header("Location: index.php?action=playerAll");
			} else {
				eval ("\$head = \"".loadTPL("head")."\";");
				echo $head;
				if(empty($_GET["mode"])) {
					eval ("\$kb = \"".getTPL("kb")."\";");
					echo $kb;
				} elseif($_GET["mode"] == 'kick') {
					if(empty($_POST["s_kick"])) {
						eval ("\$kb_k = \"".getTPL("kb_k")."\";");
						echo $kb_k;
					} else {
						if(empty($_POST["user"])) {
							$message = createFlash('Bitte gebe ein User an');
							eval ("\$kb_k = \"".getTPL("kb_k")."\";");
							echo $kb_k;
						} else {
							$user = $_POST["user"];
							$bc2 = new BC2Conn($ip, $qp);
							$bc2->loginSecure($_SESSION["wi_RPW"]);
							$bc2->adminKickPlayer($user);
							$message = createFlash('User wurde gekickt', 'success');
							eval ("\$kb_k = \"".getTPL("kb_k")."\";");
							echo $kb_k;
							move("index.php?action=kb", 2);
							$bc2->logout();
						}
					}
				} elseif($_GET["mode"] == 'bann') {
					if(empty($_POST["s_bann"])) {
						eval ("\$kb_b = \"".getTPL("kb_b")."\";");
						echo $kb_b;
					} else {
						if(empty($_POST["user"])) {
							$message = createFlash('Bitte gebe ein User an');
							eval ("\$kb_b = \"".getTPL("kb_b")."\";");
							echo $kb_b;
						} else {
							$user = $_POST["user"];
							$bc2 = new BC2Conn($ip, $qp);
							$bc2->loginSecure($_SESSION["wi_RPW"]);
							$bc2->adminBanAddPlayername($user);
							$message = createFlash('User wurde gebannt', 'success');
							eval ("\$kb_b = \"".getTPL("kb_b")."\";");
							echo $kb_b;
							move("index.php?action=kb", 2);
							$bc2->logout();
						}
					}
				} elseif($_GET["mode"] == 'del') {
					if(!empty($_GET["user"])) {
						$user = $_GET["user"];
						$bc2 = new BC2Conn($ip, $qp);
						$bc2->loginSecure($rpw);
						$bc2->adminBanRemovePlayername($user);
						$message = createFlash('User wurde entbannt', 'success');
						$user = $bc2->adminBanlistList();
						$name = '';
						$time = '';
						$ca   = 3;
						$ct   = 4;
						if($user[1] > 0) {
							foreach($user as $key => $val) {
								$cname  = $user[$ca];
								$ctime  = $user[$ct];
								$ctime  = str_replace('perm', 'Permanent', $ctime);
								$name  .= '<div style="float: left; width: 80px;"><a href="?action=kb&amp;mode=del&amp;user='.$cname.'">'.$cname.'</a></div>';
								$time  .= '<div style="float: left; width: 140px;">'.$ctime.'</div>';
								$ca = $ca + 5;
								$ct = $ct + 5;
							}
						} else {
							$name = 'Keine Spieler vorhanden!';
						}
						eval ("\$kb_a = \"".getTPL("kb_a")."\";");
						echo $kb_a;
						move("index.php?action=kb&mode=all", 2);
					} else {
						move("index.php?action=kb", 0);
					}
				} elseif($_GET["mode"] == 'all') {
					$bc2 = new BC2Conn($ip, $qp);
					$bc2->loginSecure($rpw);
					$user = $bc2->adminBanlistList();
					$name = '';
					$time = '';
					$ca   = 3;
					$ct   = 4;
					if($user[1] > 0) {
						foreach($user as $key => $val) {
							$cname  = $user[$ca];
							$ctime  = $user[$ct];
							$ctime  = str_replace('perm', 'Permanent', $ctime);
							$name  .= '<div style="float: left; width: 80px;"><a href="?action=kb&amp;mode=del&amp;user='.$cname.'" title="User entbannen?">'.$cname.'</a></div>';
							$time  .= '<div style="float: left; width: 140px;">'.$ctime.'</div>';
							$ca = $ca + 5;
							$ct = $ct + 5;
						}
					} else {
						$name = 'Keine Spieler vorhanden!';
					}
					eval ("\$kb_a = \"".getTPL("kb_a")."\";");
					echo $kb_a;
				}
			}
		} elseif($action == 'res') {
			if(!$core->user->checkRights($useriD, 'ReservedSlots')) {
				$core->systemError($error['acces']);
			}
			if(empty($_GET["mode"])) {
				eval ("\$head = \"".loadTPL("head")."\";");
				echo $head;
				$bc2 = new BC2Conn($_SESSION["wi_IP"], $_SESSION["wi_QP"]);
				$bc2->loginSecure($_SESSION["wi_RPW"]);
				$cslots = $bc2->adminReservedSlotsList();
				$ct     = 1;
				$slots  = '';
				$aktion = '';
				if(!empty($cslots[1])) {
					foreach($cslots as $key) {
						$slots   .= $cslots[$ct].'<br />';
						if(!empty($cslots[$ct])) {
							$aktion  .= createLink('?action=res&mode=del&user='.$cslots[$ct], 'Entfernen', '', 'Entfernen', '<br />');
						}
						$ct       = $ct + 1;
					}
				} else {
					$slots = 'Keine Spieler vorhanden';
				}
				eval ("\$res_m = \"".getTPL("res_m")."\";");
				echo $res_m;
			} elseif($_GET["mode"] == 'add') {
				eval ("\$head = \"".loadTPL("head")."\";");
				echo $head;
				if(empty($_POST["res_add"])) {
					eval ("\$res_a = \"".getTPL("res_a")."\";");
					echo $res_a;
				} else {
					if(!empty($_POST["user"])) {
						$bc2 = new BC2Conn($_SESSION["wi_IP"], $_SESSION["wi_QP"]);
						$bc2->loginSecure($_SESSION["wi_RPW"]);
						$user = $_POST["user"];
						if($bc2->adminReservedSlotsAddPlayer($user)) {
							$message = createFlash("Spieler wurde hinzugefgt", 'success');
							move("index.php?action=res", 1);
							eval ("\$res_m = \"".getTPL("res_m")."\";");
							echo $res_m;
						} else {
							$message = createFlash("Spieler wurde nicht hinzugefgt");
							move("index.php?action=res", 1);
							eval ("\$res_m = \"".getTPL("res_m")."\";");
							echo $res_m;
						}
					} else {
						$message = createFlash("Bitte gebe ein Usernamen an!");
						eval ("\$res_a = \"".getTPL("res_a")."\";");
						echo $res_a;
					}
				}
			} elseif($_GET["mode"] == 'del')  {
					eval ("\$head = \"".loadTPL("head")."\";");
					echo $head;
					if(!empty($_GET["user"])) {
						$user = $_GET["user"];
						$bc2 = new BC2Conn($_SESSION["wi_IP"], $_SESSION["wi_QP"]);
						$bc2->loginSecure($_SESSION["wi_RPW"]);
						if($bc2->adminReservedSlotsRemovePlayer($user)) {
							$cslots = $bc2->adminReservedSlotsList();
							$ct     = 1;
							$slots  = '';
							$aktion = '';
							if(!empty($cslots[1])) {
								foreach($cslots as $key) {
									$slots   .= $cslots[$ct].'<br />';
									if(!empty($cslots[$ct])) {
										$aktion  .= createLink('?action=res&mode=del&user='.$cslots[$ct], 'Entfernen', '', 'Entfernen', '<br />');
									}
									$ct       = $ct + 1;
								}
							} else {
								$slots = 'Keine Spieler vorhanden';
							}
							$message = createFlash('Spieler wurde entfernt', 'success');
							move("index.php?action=res", 2);
							eval ("\$res_m = \"".getTPL("res_m")."\";");
							echo $res_m;
						} else {
							$cslots = $bc2->adminReservedSlotsList();
							$ct     = 1;
							$slots  = '';
							$aktion = '';
							if(!empty($cslots[1])) {
								foreach($cslots as $key) {
									$slots   .= $cslots[$ct].'<br />';
									if(!empty($cslots[$ct])) {
										$aktion  .= createLink('?action=res&mode=del&user='.$cslots[$ct], 'Entfernen', '', 'Entfernen', '<br />');
									}
									$ct       = $ct + 1;
								}
							} else {
								$slots = 'Keine Spieler vorhanden';
							}
							$message = createFlash('Spieler wurde nicht entfernt');
							move("index.php?action=res", 2);
							eval ("\$res_m = \"".getTPL("res_m")."\";");
							echo $res_m;
						}
					} else {
						$cslots = $bc2->adminReservedSlotsList();
						$ct     = 1;
						$slots  = '';
						$aktion = '';
						if(!empty($cslots[1])) {
							foreach($cslots as $key) {
								$slots   .= $cslots[$ct].'<br />';
								if(!empty($cslots[$ct])) {
									$aktion  .= createLink('?action=res&mode=del&user='.$cslots[$ct], 'Entfernen', '', 'Entfernen', '<br />');
								}
								$ct       = $ct + 1;
							}
						} else {
							$slots = 'Keine Spieler vorhanden';
						}
						$message = createFlash('User Error');
						move("index.php?action=res", 2);
						eval ("\$res_m = \"".getTPL("res_m")."\";");
						echo $res_m;
					}
				}
		} elseif($action == 'add') {
			eval ("\$head = \"".loadTPL("head")."\";");
			echo $head;
			if(!empty($_SESSION["wi_s_a"])) {
				if(!empty($_GET["hash"])) {
					$shash = $_SESSION["wi_s_a"];
					$ghash = $_GET["hash"];
					if($shash == $ghash) {
						$sip  = $_SESSION["wi_IP"];
						$sqp  = $_SESSION["wi_QP"];
						$srpw = $_SESSION["wi_RPW"];
						if($db->query("INSERT INTO wi_book (SIP, SQP, userID) VALUES ('".$sip."', '".$sqp."', '".$_SESSION["wi_userID"]."')")) {
							$message = createFlash('Server wurde gespeichert', 'success');
							eval ("\$main = \"".getTPL("main")."\";");
							echo $main;
							move("index.php", 2);
						} else {
							$core->systemError($error['mysql']);
						}
					}
				}
			}
		} elseif($action == 'del') {
			eval ("\$head = \"".loadTPL("head")."\";");
			echo $head;
			if(!empty($_SESSION["wi_s_d"])) {
				if(!empty($_GET["hash"])) {
					$shash = $_SESSION["wi_s_d"];
					$ghash = $_GET["hash"];
					if($shash == $ghash) {
						$sip = $_SESSION["wi_IP"];
						$sql_add = 'DELETE FROM wi_book WHERE SIP = "'.$sip.'" AND userID = "'.$_SESSION["wi_userID"].'"';
						if($db->query($sql_add)) {
							$message = createFlash('Server wurde entfernt', 'success');
							unset($_SESSION["wi_s_d"]);
							eval ("\$main = \"".getTPL("main")."\";");
							echo $main;
							move("index.php", 2);
						} else {
							$core->systemError($error['mysql']);
						}
					}
				}
			}
		} elseif($action == 'lang') {
			if(!empty($_GET["get"])) {
				$speak = $_GET["get"];
				$_SESSION["wi_Lang"] = $speak;
				header("Location: index.php");
			}
		} elseif($action == "logout") {
			unset($_SESSION["wi_Login"]);
			unset($_SESSION["wi_IP"]);
			unset($_SESSION["wi_QP"]);
			unset($_SESSION["wi_RPW"]);
			header("Location: index.php");
		} else {
			eval ("\$head = \"".loadTPL("head")."\";");
			echo $head;
			eval ("\$main = \"".getTPL("main")."\";");
			echo $main;
		}
	}
	if($core->user->isAdmin($_SESSION["wi_userID"])) {
		$admin = '<center><br /><span style="font-size: 12px; font-weight: bold; font-family: arial;"><a href="admin.php">Admin</a></a></center>';
	} else {
		$admin = '';
	}
	$htmlCopy = $config['copyright'];
	eval ("\$foot = \"".loadTPL("foot")."\";");
	echo $foot;
	$core->unset_globals($_GET);
	$core->unset_globals($_POST);
?>