<?php
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Webinterface 1.0 Platinum
 * (C) by sLy-Media.eu & PHP Class by JLNNN 2010
 * Version: 1.0 Platinum
 * Lizens: GNU GPL
 * All rights reserved
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *   Copyright (C) 2010  sLy-Media
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */
	class User {
		/**
		 * @var password
		 * string for the password
		 */
		private $password;
		/**
		 * @var lenght
		 * string for the password length
		 */
		private $length;
		/**
		 * @array pwChars
		 * 
		 */
		private $pwChars = array(
			1 => 'A', 2 => 'B', 3 => 'C',
			4 => 'D', 5 => 'E', 6 => 'F',
			7 => 'G', 8 => 'H', 9 => 'I',
			10 => 'J', 11 => 'K', 12 => 'L',
			13 => 'M', 14 => 'N', 15 => 'O',
			16 => 'P', 17 => 'Q', 18 => 'R',
			19 => 'S', 20 => 'T', 21 => 'U',
			22 => 'W', 23 => 'V', 24 => 'X',
			25 => 'Y', 26 => 'Z',
			27 => 'a', 28 => 'b', 29 => 'c',
			30 => 'd', 31 => 'e', 32 => 'f',
			33 => 'g', 34 => 'h', 35 => 'i',
			36 => 'j', 37 => 'k', 38 => 'l',
			39 => 'm', 40 => 'n', 41 => 'o',
			41 => 'p', 42 => 'q', 43 => 'r',
			44 => 's', 45 => 't', 46 => 'u',
			47 => 'w', 48 => 'v', 49 => 'x',
			50 => 'y', 51 => 'z',
			52 => '1', 53 => '2', 54 => '3',
			55 => '4', 56 => '5', 57 => '6',
			58 => '7', 59 => '8', 60 => '9',
			61 => '10',
			62 => '@', 63 => '.', 64 => ','
		);
		/**
		 * @var id
		 * string for the userID
		 */
		private $id;
		
		/**
		 * function createPassword
		 * create a random password
		 */
		function createPassword($mode='n', $length='8') {
			$this->length = $length;
			
			$this->password = '';
			switch($type) {
				case "n":
					for($i=0; $i<$length; $i++) {
						$char_a          = rand(1,64);
						$char            = $this->pwChars[$char_a];
						$this->password .= $char;
					}
				break;
				case "b":
					for($i=0; $i<$length; $i++) {
						$char_a          = rand(1,26);
						$char            = $this->pwChars[$char_a];
						$this->password .= $char;
					}
				break;
				case "l":
					for($i=0; $i<$length; $i++) {
						$char_a          = rand(27,51);
						$char            = $this->pwChars[$char_a];
						$this->password .= $char;
					}
				break;
				case "g":
					for($i=0; $i<$length; $i++) {
						$char_a          = rand(1,51);
						$char            = $this->pwChars[$char_a];
						$this->password .= $char;
					}
				break;
			}
			return $this->password;
		}
		/** 
	     * function isAdmin
		 * check for admin rights
		 */
		function isAdmin($userID) {
			$this->id  = intval($userID);
			$sql = mysql_query("SELECT isAdmin FROM wi_user WHERE ID = '".$this->id."'");
			$if  = mysql_fetch_assoc($sql);
			if($if["isAdmin"] == '1') {
				return true;
			} else {
				return false;
			}
		}
		/**
		 * function checkRights
		 * check rights for functions
		 * @var userID
		 */
		 function checkRights($userID, $right) {
			$query = "SELECT ID FROM wi_user WHERE ID = '".$userID."' AND ".$right." = '1'";
			$sql = mysql_query($query);
			if(mysql_num_rows($sql)) {
				return true;
			} else {
				return false;
			}
		 }
	}
?>